Subject: Re: [net-next PATCH 10/14] net: phy: at803x: drop usless probe for qca8081 PHY

From: Christian Marangi <[email-masked]>
Date: Wed, 29 Nov 2023 10:51:18 +0100

On Wed, Nov 29, 2023 at 09:44:42AM +0000, Russell King (Oracle) wrote:
> On Wed, Nov 29, 2023 at 03:12:15AM +0100, Christian Marangi wrote:
> > Drop useless probe for qca8081 PHY. The specific functions and the
> > generic ones doesn't use any of allocated variables of the at803x_priv
> > struct and doesn't support any of the properties used for at803x PHYs.
> 
> So now we have two different structures in ->priv _and_ ->priv can be
> NULL all in the same driver.
> 
> This is getting rediculous.
>

Saddly this is the state of this PHY driver... Imagine me noticing that
qca808x actually don't use any of the priv struct and doen't support any
of the proprerty parsed in the OF function...

Guess I have to move also this change where I split the driver.
(again trying to keep change as little as possible)

-- 
	Ansuel